#pragma once
#include "VolumeRecursor.h"

// By creating an IndexUpdater and Recursing on a
// volume or directory, you will update the indices
// for the attribute specified in the constructor of
// the IndexUpdater.

class IndexUpdater : public VolumeRecursor
{
	public:
							IndexUpdater(char* attributeName);
		virtual				~IndexUpdater();
	private:
		virtual status_t	Apply(BEntry* entry);
		char*				mAttributeName;
};

